Some 32-bit development files can't be found by the configurator

Questions about Wine on Linux
Post Reply
User avatar
kriChris
Newbie
Newbie
Posts: 4
Joined: Sat Oct 05, 2019 12:59 pm

Some 32-bit development files can't be found by the configurator

Post by kriChris » Wed Nov 18, 2020 12:41 pm

I'm trying to build Wine from source on Linux Mint 20 by following the Shared WoW64 instructions. For the 64-bit binaries compilation, everything went ok. But when I tried run the configurator to build it to 32-bit, I've got these warnings:

Code: Select all

configure: libhal 32-bit development files not found, no legacy dynamic device support.
configure: gstreamer-1.0 base plugins 32-bit development files not found, GStreamer won't be supported.
configure: OSS sound system found but too old (OSSv4 needed), OSS won't be supported.
configure: libFAudio 32-bit development files not found, XAudio2 won't be supported.
With the exception of the "OSS sound system", I have 100% sure that those libraries are installed.
Is there anything I can do?

jkfloris
Level 8
Level 8
Posts: 1202
Joined: Thu Aug 14, 2014 10:10 am

Re: Some 32-bit development files can't be found by the configurator

Post by jkfloris » Thu Nov 19, 2020 5:37 pm

From the same WineHQ Wiki page:
"libhal Dynamic device detection Obsolete; use libdbus instead."
So you can skip that one

For gstreamer you need libgstreamer1.0-dev:i386 and libgstreamer-plugins-base1.0-dev:i386
Also read https://www.winehq.org/pipermail/wine-d ... 11245.html

libFAudio needs libfaudio-dev:i386

You could also use the build-multilib-wine script made by bobwya

User avatar
kriChris
Newbie
Newbie
Posts: 4
Joined: Sat Oct 05, 2019 12:59 pm

Re: Some 32-bit development files can't be found by the configurator

Post by kriChris » Fri Nov 20, 2020 11:18 am

Thanks! That helped me a lot.

Post Reply